#include "protocol/CachedVariableValue.h"


CachedVariableValue::CachedVariableValue(AgDatePtr timestamp, DataTablePtr value)
{
    this->timestamp = timestamp;
    this->value = value;
}


AgDatePtr CachedVariableValue::getTimestamp()
{
    return timestamp;
}

void CachedVariableValue::setTimestamp(AgDatePtr timestamp)
{
    this->timestamp = timestamp;
}

DataTablePtr CachedVariableValue::getValue()
{
    return value;
}

void CachedVariableValue::setValue(DataTablePtr value)
{
    this->value = value;
}


